Bug 1983331 - Review Request: observable - Generic observable objects and reactive expressions for C++
Summary: Review Request: observable - Generic observable objects and reactive expressi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1983375
TreeView+ depends on / blocked
 
Reported: 2021-07-17 17:47 UTC by Davide Cavalca
Modified: 2021-08-04 22:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-04 22:45:31 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-07-17 17:47:39 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/observable/observable.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/observable/observable-0-1.20210717gitae3a59c.fc35.src.rpm

Description:

Observable provides generic observable objects for C++. Write declarative,
reactive expressions or just implement the observer pattern.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-17 17:47:41 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=72083713

Comment 2 Michel Lind 2021-07-19 00:26:19 UTC
Looks fine; APPROVED. I'd recommend splitting -doc and making -devel just suggest it, since otherwise you're pulling in an extra MB (borderline requiring an extra subpackage anyway) everytime observable-devel is pulled in as a BR in the build system.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
  seems like a false positive due to fedora-review not understanding rpmautospec features


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0". 74
     files have unknown license. Detailed output of licensecheck in
     /home/michel/src/fedora/reviews/1983331-observable/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 962560 bytes in 65 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1034240 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: observable-devel-0-1.20210717gitae3a59c.fc35.x86_64.rpm
          observable-0-1.20210717gitae3a59c.fc35.src.rpm
observable-devel.x86_64: W: hidden-file-or-dir /usr/share/doc/observable-devel/doc/.buildinfo
observable-devel.x86_64: W: file-not-utf8 /usr/share/doc/observable-devel/doc/objects.inv
observable.src: W: name-repeated-in-summary C observable
observable.src:72: W: macro-in-%changelog %autochangelog
observable.src: W: patch-not-applied Patch0: observable-use-system-catch.patch
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/ddinu/observable/archive/ae3a59cc65c1cb65d27827adc4c1ef5a37298cb7/observable-ae3a59cc65c1cb65d27827adc4c1ef5a37298cb7.tar.gz :
  CHECKSUM(SHA256) this package     : 0c8ee6c48c37a910bd06605685655a34435a7bb5c786b1b8b6a9a1dea9ca31e2
  CHECKSUM(SHA256) upstream package : 0c8ee6c48c37a910bd06605685655a34435a7bb5c786b1b8b6a9a1dea9ca31e2


Requires
--------
observable-devel (rpmlib, GLIBC filtered):



Provides
--------
observable-devel:
    observable-devel
    observable-devel(x86-64)
    observable-static



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1983331
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: PHP, R, Python, Haskell, fonts, Ruby, SugarActivity, Ocaml, Java, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Davide Cavalca 2021-07-19 01:33:45 UTC
Thanks! I'll split the doc package out after importing.

$ fedpkg request-repo observable 1983331
https://pagure.io/releng/fedora-scm-requests/issue/35798

Comment 4 Tomas Hrcka 2021-07-19 07:44:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/observable

Comment 5 Fedora Update System 2021-07-20 22:58:51 UTC
FEDORA-2021-4c9b229cbd has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c9b229cbd

Comment 6 Fedora Update System 2021-07-21 01:55:25 UTC
FEDORA-2021-4c9b229cbd has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-4c9b229cbd \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c9b229cbd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-29 01:07:41 UTC
FEDORA-2021-4c9b229cbd has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.